package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4H7 extends MwfRequest<MWF4H7, MWF4H7Response> {

    @Parameter(name = "ChannelId")
    MWF4H7 channelId(String channelId);
    @Parameter(name = "ClientName")
    MWF4H7 clientName(String clientName);
    @Parameter(name = "ClientSurname")
    MWF4H7 clientSurname(String clientSurname);
    @Parameter(name = "CmId")
    MWF4H7 cmId(String cmId);
    @Parameter(name = "DocumentSuspiciousData")
    MWF4H7 documentSuspiciousData(Boolean documentSuspiciousData);
    @Parameter(name = "Email")
    MWF4H7 email(String email);
    @Parameter(name = "Geolocation")
    MWF4H7 geolocation(String geolocation);
    @Parameter(name = "NationalIDControlNumber")
    MWF4H7 nationalIDControlNumber(Long nationalIDControlNumber);
    @Parameter(name = "ProdPackageKey")
    MWF4H7 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "RWS_DocumentEdited")
    MWF4H7 rWSDocumentEdited(java.util.List<MWF4H7RWSDocumentEdited> rWSDocumentEdited);
    @Parameter(name = "RWS_DocumentNameMismatch")
    MWF4H7 rWSDocumentNameMismatch(java.util.List<MWF4H7RWSDocumentNameMismatch> rWSDocumentNameMismatch);
    @Parameter(name = "RWS_DocumentSuspiciousScan")
    MWF4H7 rWSDocumentSuspiciousScan(java.util.List<MWF4H7RWSDocumentSuspiciousScan> rWSDocumentSuspiciousScan);
    @Parameter(name = "VerificationMethod")
    MWF4H7 verificationMethod(String verificationMethod);
}
